Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Mobile
Class MobileStructure

    java.lang.Object
      SEdit.Structure
          SEdit.Formalisms.Mobile.MobileStructure

All Implemented Interfaces:
  java.lang.Runnable

    public class MobileStructure

extends Structure
implements java.lang.Runnable

CLASSE MobileStructure

Field Summary
`protected boolean` | `running`

Fields inherited from class SEdit.Structure
`agent, arrowList, description, displayGrid, editor, formalism, gridSize, modified, nodeList, snapToGrid`

Constructor Summary
`MobileStructure()`

Method Summary
`int` | `getRelaxingTime()`
`void` | `normalize(SElement s)`
`void` | `run()`
`void` | `scramble()`
`void` | `setRelaxingTime(int t)`
`void` | `shake()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class SEdit.Structure
`activate, addArrow, addArrow, addNode, addNode, clearAll, createNode, deleteAll, drawBackground, dump, end, existID, getAgent, getArrow, getArrowFromLabel, getArrows, getDescription, getDisplayGrid, getEditor, getFormalism, getGridSize, getNode, getNodeFromLabel, getNodes, getSnapToGrid, initStructure, isConnectable, newArrowID, newNodeID, preactivate, removeArrow, removeNode, setAgent, setDescription, setDisplayGrid, setEditor, setFormalism, setGridSize, setSnapToGrid, setSnapToGrid1, toggleShowGrid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### running

    protected boolean running

Constructor Detail

### MobileStructure

    public MobileStructure()

Method Detail

### getRelaxingTime

    public int getRelaxingTime()

### setRelaxingTime

    public void setRelaxingTime(int t)

### start

    public void start()

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### scramble

    public void scramble()

### shake

    public void shake()

### normalize

    public void normalize(SElement s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.